[Fix phpMyAdmin] Het configuratiebestand moet nu een geheime passphrase (blowfish_secret)

Of het is geïnstalleerd phpMyAdmin server Ubuntu, CentOS of etc. Fedora distributie, het bericht "Het configuratiebestand moet nu een geheime passphrase (blowfish_secret)"Met rood aan de onderkant van de index, het geeft hoofdpijn. Vooral wanneer correct geconfigureerd in "/etc/phpMyAdmin/config.inc.php".
Natuurlijk kan het pad variëren van de ene configuratie naar de andere, maar van 7 CentOS cu phpMyAdmin geïnstalleerd via "yum"In"remi.repo"Config file zal worden gevestigd in" / etc / phpMyAdmin /".

Oké, laten we zien hoe we oplossen "Het configuratiebestand moet nu een geheime passphrase (blowfish_secret)"Als in config.inc.php we hebben deze lijn:

$ Cfg [ 'blowfish_secret'] = '$ gNsWq $% #% #% EDFSsffsegbVp6LCJw6w'; / * Je moet Vul dit VOOR COOKIE AUTH! * /

Als deze regel aanwezig is en hebben we een "sleutel" over 32 tekens in phpMyAdmin rode boodschap moet verdwijnen.
In het geval dat dit niet is gebeurd, moet je cookies verwijderen uit uw browser en afmelden van phpMyAdmin. Bij de volgende login, wordt het bericht "Het configuratiebestand moet nu een geheime passphrase (blowfish_secret)"Ik zal niet aanwezig zijn.
Hoewel er zijn situaties waarin het aanwezig is niet te wijten aan misconfiguraties het config.inc.php bestand, maar vanwege mapmachtigingen toen hij.

Run in terminal command line:

 chown -R root: <user web> / etc / phpMyAdmin /

Nu zou alles in orde moeten zijn. Als u Apache gebruikt in plaats van "web-gebruiker" set "httpd", "nginx" of hoe je de gebruiker web server te verwerken.

Ik heb deze tips geschreven omdat ik via de volledige phpMyAdmin-configuratie beter ben geworden dan 2 uur, en ik blijf het bericht niet verwijderen: het configuratiebestand heeft nu een geheime wachtwoordzin (blowfish_secret) nodig. Nadat ik de rechten / groepen had gewist, verdween ze.

[Fix phpMyAdmin] Het configuratiebestand moet nu een geheime passphrase (blowfish_secret)

Over de auteur

stealth LP

Oprichter en redacteur stealth InstellingenIn 2006 datum.
Ervaring op Linux-besturingssystemen (vooral CentOS), Mac OS X, Windows XP> Windows 10 en WordPress (CMS).

4 Reacties

Laat een bericht achter

Deze site gebruikt Akismet om spam te verminderen. Ontdek hoe uw reactiegegevens worden verwerkt.